You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.

89 lines
2.2 KiB

[package]
name = "licorne-rs"
edition = "2018"
version = "0.0.1"
authors = ["Marc <dkm@kataplop.net>"]
description = "Simple alarmclock that changes color depending on the time for predefined periods. It is intended for small kids before they can read the time !"
keywords = ["arm", "cortex-m", "template"]
categories = ["embedded", "no-std"]
license = "GPL-3.0+"
repository = "https://github.com/dkm/licorne-rs"
[profile.release]
lto = true
codegen-units = 1
debug = true
panic = "abort"
[profile.dev]
lto = false
codegen-units = 1
debug = true
panic = "abort"
[dependencies]
ws2812-spi = "0.3"
rotary-encoder-hal = {version = "0.3" , features = ["table-decoder"] }
debouncr = "0.2"
ufmt = "0.1"
tm4c123x = { git = "https://github.com/rust-embedded-community/dslite2svd.git" }
embedded-various-fonts = { git = "https://github.com/dkm/embedded-various-fonts" }
tm4c-hal = { git = "https://github.com/dkm/tm4c-hal" }
tm4c123x-hal = { git = "https://github.com/dkm/tm4c-hal", features = ["rt"] }
ds323x = "0.3"
chrono = { version = "0.4", default-features = false }
nb = "0.1"
cortex-m = "0.7"
cortex-m-semihosting = "0.3"
panic-semihosting = "0.5"
smart-leds = "0.3"
## Waiting for next release with 2in13 support
epd-waveshare = {git = "https://github.com/caemor/epd-waveshare.git", branch = "main" }
embedded-graphics = "0.6"
cortex-m-rtic = { git = "https://github.com/rtic-rs/cortex-m-rtic" }
bme680 = { version = "0.5", optional = true }
drogue-bme680 = { git = "https://github.com/dkm/drogue-bme680.git", branch = "main" }
embedded-time = { version = "0.10" }
[dependencies.heapless]
version = "0.5"
features = ["ufmt-impl"]
[dependencies.cast]
version = "0.2"
default-features = false
[dependencies.cortex-m-rt]
version = "0.6.12"
features = ["device"]
## we need to keep it optimized or the SPI won't be able to keep-up and it
## simply does not work
[profile.dev.package.ws2812-spi]
opt-level = 3
[profile.dev.package.smart-leds]
opt-level = 3
[dependencies.embedded-hal]
version = "0.2"
features = ["unproven"]
[features]
default = [ ]
## This will use semihosting for printing debug trace.
usesemihosting = [ "default" ]
epd = ["default"]
bme = ["default"]
rtc = ["default"]
testranges = ["default"]